description

# DomMatrixReadOnly class Null safety

Implementers
  - DomMatrix
Annotations
  - @Native("DOMMatrixReadOnly")

## Constructors

DomMatrixReadOnly([Object? init])
  factory

## Properties

a → num?
  read-only
b → num?
  read-only
c → num?
  read-only
d → num?
  read-only
e → num?
  read-only
f → num?
  read-only
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
is2D → bool?
  read-only
isIdentity → bool?
  read-only
m11 → num?
  read-only
m12 → num?
  read-only
m13 → num?
  read-only
m14 → num?
  read-only
m21 → num?
  read-only
m22 → num?
  read-only
m23 → num?
  read-only
m24 → num?
  read-only
m31 → num?
  read-only
m32 → num?
  read-only
m33 → num?
  read-only
m34 → num?
  read-only
m41 → num?
  read-only
m42 → num?
  read-only
m43 → num?
  read-only
m44 → num?
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

flipX() → DomMatrix
flipY() → DomMatrix
inverse() → DomMatrix
multiply([Map? other]) → DomMatrix
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
rotate([num? rotX, num? rotY, num? rotZ]) → DomMatrix
rotateAxisAngle([num? x, num? y, num? z, num? angle]) → DomMatrix
rotateFromVector([num? x, num? y]) → DomMatrix
scale([num? scaleX, num? scaleY, num? scaleZ, num? originX, num? originY, num? originZ]) → DomMatrix
scale3d([num? scale, num? originX, num? originY, num? originZ]) → DomMatrix
skewX([num? sx]) → DomMatrix
skewY([num? sy]) → DomMatrix
toFloat32Array() → Float32List
toFloat64Array() → Float64List
toString() → String
  Returns a string representation of this object.
  inherited
transformPoint([Map? point]) → DomPoint
translate([num? tx, num? ty, num? tz]) → DomMatrix

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Static Methods

fromFloat32Array(Float32List array32) → DomMatrixReadOnly
fromFloat64Array(Float64List array64) → DomMatrixReadOnly
fromMatrix([Map? other]) → DomMatrixReadOnly